Page MenuHomePhabricator

bufferTagsToSetByAction() should not do anything if the tag feature is disabled
Closed, ResolvedPublic1 Estimated Story Points

Description

By default, AbusefilterActions['tag'] is true, but this may not be always the case. The function`bufferTagsToSetByAction()` should first check to see if this variable is true. If not, it should just return without actually working on any tag assignments.

Relevant piece of code: link

Event Timeline

Huji created this task.Oct 29 2017, 1:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2017, 1:32 PM
Huji set the point value for this task to 1.Oct 29 2017, 1:33 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 29 2017, 1:33 PM
Huji moved this task from Backlog to Internal bugs on the AbuseFilter board.Oct 29 2017, 1:33 PM

@Huji Please could you mention the directory or file that holds the function you mentioned?

Huji updated the task description. (Show Details)Oct 30 2017, 11:17 PM

@rosalieper I updated the task description.

Change 387655 had a related patch set uploaded (by Rosalieper; owner: Rosalieper):
[mediawiki/extensions/AbuseFilter@master] bufferTagsToSetByAction() should not do anything if the tag feature is disabled

https://gerrit.wikimedia.org/r/387655

xSavitar added a subscriber: xSavitar.

Assigning to you as you are working on it. Next time, don't forget to self-assign before commencing work. :)

ok thanks @D3r1ck01

xSavitar moved this task from Backlog to Doing on the good first task board.Nov 5 2017, 5:20 PM

@rosalieper, are you still working on this? I've seen there is a pending patch and it's been there for a while :), any progress?

@D3r1ck01 yes and please have a look at the new patch

Change 387655 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Do not attempt to process tags if tagging is disabled

https://gerrit.wikimedia.org/r/387655

@D3r1ck01 yes and please have a look at the new patch

Thanks for working on the patch @rosalieper. I'm just seeing that the PS has been review and merged. Thanks @Huji :)